## openafs 1.6.10

=== debian/changelog ===
openafs (1.6.10-4) unstable; urgency=medium

  * Update Spanish translation, thanks Javier Fernandez-Sanguino Pena.
    (Closes: #773565)
  * Import many patches from upstream:
    - Support newer linux versions, up through 3.19. (Closes: #771298)
    - Avoid some spurious getcwd() failures.
    - Improve configure test for key_type.match (which caused buggy
      behavior in certain versions of RHEL).
    - Fix a refcount leak that would manifest as an unrelated OOPS.
    - Avoid using a stale data version in certain cases when writing
      files larger than the AFS cache, which manifested as file corruption.
    This leaves us roughly equivalent to the forthcoming 1.6.11pre2
    release candidate.
  * Update CellServDB to the 2015-01-19 release.

 -- Benjamin Kaduk <kaduk@mit.edu>  Wed, 04 Feb 2015 13:35:48 -0500

openafs (1.6.10-3) unstable; urgency=medium

  * Make openafs-client Before=umount.target for improved shutdown
    behavior. (Affects: #760063)
  * Mark openafs-client.service as RemainAfterExit=true. (Closes: #770815)

 -- Benjamin Kaduk <kaduk@mit.edu>  Wed, 26 Nov 2014 13:00:27 -0500

openafs (1.6.10-2) unstable; urgency=medium

  * Some shell quoting and similar cleanups in openafs-client-precheck
    from Anders Kaseorg.
  * Make the openafs-client unit silently succeed when it is already
    running, to match the behavior of the sysV script. (Closes: #767056)

 -- Benjamin Kaduk <kaduk@mit.edu>  Tue, 28 Oct 2014 18:52:47 -0400

openafs (1.6.10-1) unstable; urgency=medium

  * New upstream release.
    - fix segfault with aklog -path.
  * The 1.6.10~pre1-1 changelog entry contains a full summary of changes
    in the upstream release.
  * Add a systemd unit file for openafs-client. (Closes: #760063)
    - The variables AFS_PRE_SHUTDOWN and AFS_POST_INIT from
      /etc/openafs.afs.conf are no longer honored.  They should be
      converted to the systemd format and placed in
      /etc/systemd/system/openafs-client.service.d/ ; automatic conversion
      is not possible.  In particular, the kill_all_afs functionality is
      not available.
    - The LIBAFS, MODULEDIR, and DKMSDIR settings from
      /etc/openafs/afs.conf are not used by the unit file.
    - The extra shutdown handling for when the NFS translator is used
      was not converted to the systemd format; the necessary feature
      was removed from the Linux kernel in 2008.
    - Support for cold shutdowns is removed.  They generally resulted
      only in strange failures later on.
  * Add a systemd unit file for openafs-fileserver.
  * Use heap-allocated buffers of sufficient length for realpath() in
    userok.c. (Closes: #757378)
  * Update Dutch translation. (Closes: #765083)

 -- Benjamin Kaduk <kaduk@mit.edu>  Wed, 22 Oct 2014 13:10:59 -0400
