## openafs 1.6.14

=== debian/changelog ===
openafs (1.6.14-1) unstable; urgency=medium

  * New upstream release.
    - Restore support for using regexes for volume names to backup,
      accidentally disabled as part of the fix for OPENAFS-SA-2015-006
  * Update Swedish translation, thanks Martin Bagge and Anders Jonsson.
    (Closes: #781678)
  * Note that the protocol document rfc5864.txt is dual licensed.
    (Closes: #768385)
  * Supply copyright notice for systemd helper scripts. (Closes: #779170)
  * Import upstream patches to support the 4.2 Linux kernel.

 -- Benjamin Kaduk <kaduk@mit.edu>  Mon, 17 Aug 2015 15:01:01 -0400

openafs (1.6.13-1) unstable; urgency=high

  * New upstream security release.
    - OPENAFS-SA-2015-001 CVE-2015-3282: vos leaks stack data onto the wire
      in the clear when creating vldb entries
    - OPENAFS-SA-2015-002 CVE-2015-3283: bos commands can be spoofed,
      including some which alter server state
    - OPENAFS-SA-2015-003 CVE-2015-3284: pioctls leak kernel memory contents
    - OPENAFS-SA-2015-004 CVE-2015-3285: kernel pioctl support for OSD
      command passing can trigger a panic
    - OPENAFS-SA02015-005 CVE-2015-3286 is Solaris-specific and did not
      affect Debian
    - OPENAFS-SA-2015-006 CV-2015-3287: buffer overflow in vlserver
  * Also includes changes from the upstream 1.6.12 release:
    - Avoid database corruption if a database server is shut down and
      brought up again quickly with an altered database
    - Fix a potential buffer overflow in aklog
    - Support for Linux kernels up to 4.1
    - Avoid spurious EIO errors when writing large chunks of data to
      mmapped files

 -- Benjamin Kaduk <kaduk@mit.edu>  Thu, 30 Jul 2015 17:42:43 -0400

openafs (1.6.11.1-1) unstable; urgency=medium

  * New upstream release.
    - Support for Linux kernels up to 4.0.

 -- Benjamin Kaduk <kaduk@mit.edu>  Fri, 15 May 2015 11:02:14 -0400

openafs (1.6.11~pre2-1) experimental; urgency=low

  * New upstream pre-release.
    - Avoid using a stale data version in certain cases when writing
      files larger than the AFS cache, which manifested as file corruption.
    - Fix a refcount leak that could lead to panics.
    - Support newer linux versions, up through 3.19.
    - Fix some leaks and crashes in error cases.

 -- Benjamin Kaduk <kaduk@mit.edu>  Fri, 20 Feb 2015 15:50:49 -0500

openafs (1.6.11~pre1-1) experimental; urgency=low

  * New upstream pre-release.
    - Linux kernels up to 3.17 are now supported.
    - Fix more incorrect behavior in our revalidation of dcache entries. Bugs
      in this area can cause stale path lookups in certain situations, as well
      as cause getcwd() to fail spuriously.
    - Allow aklog to succeed in creating native K5 tokens even when K5-to-K4
      principal conversion fails.

 -- Andrew Deason <adeason@sinenomine.net>  Sun, 07 Dec 2014 23:43:21 -0600
