=== debian/changelog ===
openafs (1.6.15-1ubuntu1.1) xenial; urgency=medium

  * debian/patches/1002-Linux-4.9-inode_change_ok-becomes-setattr_prepare.patch
   - Linux 4.9: inode_change_ok() becomes setattr_prepare()
     (LP: #1922242)

 -- Kleber Sacilotto de Souza <kleber.souza@canonical.com>  Thu, 01 Apr 2021 18:20:36 +0200

openafs (1.6.15-1ubuntu1) xenial; urgency=low

  * debian/patches/1000-follow-changes-to-key-payload-accessors.patch:
   - follow mainline changes to key payload storage and access.
     (LP: #1538520)
  * debian/patches/1001-follow-changes-to-locks_lock_inode_wait.patch:
   - follow mainline changes to locking switching to
     locks_lock_inode_wait() (LP: #1538520)

 -- Andy Whitcroft <apw@ubuntu.com>  Tue, 26 Jan 2016 13:39:07 +0000

openafs (1.6.15-1) unstable; urgency=high

  * New upstream security release.
    - Fix data leakage in rx ACK packets, OPENAFS-SA-2015-007,
      CVE-2015-7762, CVE-2015-7763.

 -- Benjamin Kaduk <kaduk@mit.edu>  Wed, 28 Oct 2015 15:56:38 -0400
