## openafs 1.6.18.2

=== debian/changelog ===
openafs (1.6.18.2-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
    - Remove patches that are already present in upstream.

 -- Benjamin Kaduk <kaduk@mit.edu>  Sun, 31 Jul 2016 18:04:38 -0400

openafs (1.6.18.2-1) unstable; urgency=medium

  * New upstream release 1.6.18.2:
    - Support Linux kernel 4.6.
    - Revert the vcache cleanup improvement of 1.6.18, which exposed
      another previously latent issue that wrongly invalidated the current
      working directry on some kernels.
  * Update CellServDB to the 2016-01-01 release.

 -- Anders Kaseorg <andersk@mit.edu>  Mon, 25 Jul 2016 19:12:12 -0400

openafs (1.6.18.1-1) unstable; urgency=medium

  * New upstream release 1.6.18.1:
    - Support Linux kernel 4.5.
    - Check return value from bdi_init.
  * Import upstream Gerrit patch to allow building with Linux kernel 4.6.
    (Closes: #826922)

 -- Anders Kaseorg <andersk@mit.edu>  Sun, 26 Jun 2016 20:16:54 -0400

openafs (1.6.18-1) unstable; urgency=high

  * New upstream release 1.6.18:
    - Support for Linux 4.4 kernels.
    - Improve dynamic vcache cleanup behavior, reducing memory usage and
      avoiding a long hang when many vcaches are in use
    - Deprecate afsd -settime.
    - Failure to release a volume now reports an error back to the client.
    - Check for invalid IP addresses in the CellServDB.
    - Fix dafileserver crash experience with large volumes.
    - Close race between "umount /afs" and "afsd -shutdown".
    - Prefer -dryrun arguments to -noexecute.
    - Limit ChangeAddr RPCs to removal, to avoid database corruption.
    - Improve behavior relating to large (~2GB fetches from the fileserver).
  * Import patches from upstream gerrit to improve support for
    Linux 4.5 kernels.  (Closes: #821782)
  * Depend on sysint.target instead of basic.target in openafs-client.service,
    to eliminate dependency cycles with other services that depend on
    remote-fs.target.  (Closes: #794451)

 -- Benjamin Kaduk <kaduk@mit.edu>  Sun, 15 May 2016 22:19:38 -0400

openafs (1.6.17-2) unstable; urgency=high

  * debian/rules: Fix FTBFS when built with dpkg-buildpackage -A.
    (Closes: #806088)

 -- Anders Kaseorg <andersk@mit.edu>  Thu, 17 Mar 2016 04:48:16 -0400

openafs (1.6.17-1) unstable; urgency=high

  * New upstream release 1.6.16.
    - Fix bosserver crashes related to fixed-sized buffers.
    - Fix potential denial of service issue in pioctl logic
      (CVE-2015-8312).
    - Provide a new vos remaddrs subcommand for removing server entries.
    - Allow pioctls to work with read-only /proc (e.g. Docker containers).
  * New upstream security release 1.6.17.
    - Prevent users in foreign Kerberos realms from creating groups as if
      they were administrators (CVE-2016-2860).
    - Fix an information leak of uninitialized memory over the network.
    - Fix a crash when the AFS root volume is not found.
  * debian/patches/Linux-4.4-key_payload-has-no-member-value.patch,
    debian/patches/Linux-4.4-Use-locks_lock_file_wait.patch,
    debian/patches/Linux-4.4-Do-not-use-splice.patch:
    Add upstream patches for current Linux kernel support.  (Closes: #815521)

 -- Anders Kaseorg <andersk@mit.edu>  Thu, 17 Mar 2016 00:55:42 -0400

openafs (1.6.9-2+deb8u4) jessie-security; urgency=high

  * Apply upstream security patches corresponding to the 1.6.15 release:
    - OPENAFS-SA-2015-007 (CVE-2015-7762, CVE-2015-7763): rx ACK packets
      reveal plaintext of previously encrypted data packets.

 -- Benjamin Kaduk <kaduk@mit.edu>  Wed, 28 Oct 2015 11:58:48 -0400

openafs (1.6.9-2+deb8u3) jessie-security; urgency=high

  * Apply upstream security patches from the 1.6.13 release (thanks to
    Benjamin Kaduk <kaduk@mit.edu> for providing the patches):
    - OPENAFS-SA-2015-001 (CVE-2015-3282): vos leaks stack data onto the wire when creating
      vldb entries
    - OPENAFS-SA-2015-002 (CVE-2015-3283): bos commands can be spoofed, including some
      which alter server state
    - OPENAFS-SA-2015-003 (CVE-2015-3284): pioctls leak kernel memory contents
    - OPENAFS-SA-2015-004 (CVE-2015-3285): kernel pioctl support for OSD command parsing
      can trigger a panic
    - OPENAFS-SA-2015-006 (CVE-2015-3287): Buffer overflow in OpenAFS vlserver
  * The patch for OPENAFS-SA-2015-005 is not applied, since that
    vulnerability is limited to the Solaris kernel module

 -- Sebastien Delafond <seb@debian.org>  Thu, 30 Jul 2015 11:53:25 +0200

openafs (1.6.9-2+deb8u2) testing; urgency=high

  * The build fix in 1.6.9-2+deb8u1 was incomplete; import more patches
    from upstream to complete the build fix. (Closes: #778196.)

 -- Benjamin Kaduk <kaduk@mit.edu>  Mon, 02 Mar 2015 14:07:00 -0500

openafs (1.6.9-2+deb8u1) testing; urgency=high

  * Import patches from upstream:
    - Avoid using stale data version after writepage. (Closes: #778851.)
    - Fix build when d_alias is in the d_u union. (Closes: #778196.)

 -- Benjamin Kaduk <kaduk@mit.edu>  Fri, 20 Feb 2015 12:55:06 -0500
