=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: openafs
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Benjamin Kaduk <kaduk@mit.edu>
+Maintainer: Benjamin Kaduk <kaduk@mit.edu>
 Uploaders: Russ Allbery <rra@debian.org>, Sam Hartman <hartmans@debian.org>,
  Anders Kaseorg <andersk@mit.edu>
 Build-Depends: debhelper (>= 9), autoconf, automake, bison, comerr-dev,
@@ -10,7 +9,7 @@
  libpam0g-dev, libxml2-utils, perl, pkg-config, dh-systemd
 Build-Depends-Indep: dblatex, dkms (>= 2.1.1.1), docbook-xsl, doxygen,
  xsltproc
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.openafs.org/
 Vcs-Git: git://anonscm.debian.org/pkg-k5-afs/openafs.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-k5-afs/openafs.git
@@ -35,7 +34,7 @@
 
 Package: openafs-fuse
 Priority: extra
-Architecture: alpha amd64 arm armel armhf i386 ia64 lpia powerpc ppc64 s390 s390x sparc
+Architecture: alpha amd64 arm armel armhf i386 ia64 powerpc ppc64 s390 s390x sparc
 Depends: ${shlibs:Depends}, ${misc:Depends},
  openafs-client (= ${binary:Version})
 Description: AFS distributed file system experimental FUSE client
@@ -121,7 +120,7 @@
 
 Package: libkopenafs1
 Section: libs
-Architecture: alpha amd64 arm armel armhf i386 ia64 lpia powerpc ppc64 s390 s390x sparc
+Architecture: alpha amd64 arm armel armhf i386 ia64 powerpc ppc64 s390 s390x sparc
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: AFS distributed file system runtime library (PAGs)
  AFS is a distributed filesystem allowing cross-platform sharing of
@@ -134,7 +133,7 @@
 
 Package: libafsauthent1
 Section: libs
-Architecture: alpha amd64 arm armel armhf i386 ia64 lpia powerpc ppc64 s390 s390x sparc
+Architecture: alpha amd64 arm armel armhf i386 ia64 powerpc ppc64 s390 s390x sparc
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: AFS distributed file system runtime library (authentication)
  AFS is a distributed filesystem allowing cross-platform sharing of
@@ -146,7 +145,7 @@
 
 Package: libafsrpc1
 Section: libs
-Architecture: alpha amd64 arm armel armhf i386 ia64 lpia powerpc ppc64 s390 s390x sparc
+Architecture: alpha amd64 arm armel armhf i386 ia64 powerpc ppc64 s390 s390x sparc
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: AFS distributed file system runtime library (RPC layer)
  AFS is a distributed filesystem allowing cross-platform sharing of
