## openafs 1.6.18.3

=== debian/changelog ===
openafs (1.6.18.3-2) unstable; urgency=medium

  * Drop hardening-wrapper in favor of passing flags via CC.
    (Closes: #836642)
  * Clean doxyen-generated documentation with dh_doxygen.

 -- Anders Kaseorg <andersk@mit.edu>  Sun, 11 Sep 2016 17:15:39 -0400

openafs (1.6.18.3-1) unstable; urgency=medium

  * New upstream release 1.6.18.3:
    - Support Linux kernel 4.7.

 -- Anders Kaseorg <andersk@mit.edu>  Thu, 04 Aug 2016 15:44:22 -0400
