=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Uploaders: Russ Allbery <rra@debian.org>, Sam Hartman <hartmans@debian.org>,
  Anders Kaseorg <andersk@mit.edu>
 Build-Depends: debhelper (>= 9), autoconf, automake, bison, comerr-dev,
- cpio, flex, hardening-wrapper, libfuse-dev, libkrb5-dev, libncurses5-dev,
+ cpio, flex, libfuse-dev, libkrb5-dev, libncurses5-dev,
  libpam0g-dev, libxml2-utils, perl, pkg-config, dh-systemd
-Build-Depends-Indep: dblatex, dkms (>= 2.1.1.1), docbook-xsl, doxygen,
+Build-Depends-Indep: dblatex, dkms (>= 2.1.1.1), docbook-xsl, doxygen (>= 1.8.4-1~),
  xsltproc
 Standards-Version: 3.9.8
 Homepage: http://www.openafs.org/
