## openafs 1.6.20

=== debian/changelog ===
openafs (1.6.20-2ubuntu1) zesty; urgency=medium

  * Cherry pick proposed patch to fix build with Linux 4.10.

 -- Seth Forshee <seth.forshee@canonical.com>  Tue, 14 Feb 2017 13:57:26 -0600

openafs (1.6.20-2) unstable; urgency=medium

  * Build-Depend debhelper (>= 9.20160114) for dh_strip
    --dbgsym-migration.
  * debian/patches:
    - LINUX-split-dentry-eviction-from-osi_TryEvictVCache.patch,
      Reformat-src-afs-LINUX-osi_vcache.c.patch,
      LINUX-do-not-use-d_invalidate-to-evict-dentries.patch,
      afs-shake-harder-in-shake-loose-vcaches.patch: Avoid system hangs on
      busy machines due to vcache deallocation failures.
    - Linux-4.9-deal-with-demise-of-GROUP_AT.patch,
      Linux-4.9-inode_operation-rename-now-takes-flags.patch,
      Linux-4.9-inode_change_ok-becomes-setattr_prepare.patch: Support
      Linux kernel 4.9.  (Closes: #847011)
    - AFS_component_version_number.c-Respect-SOURCE_DATE_E.patch:
      Respect SOURCE_DATE_EPOCH in cml_version_number to improve build
      reproducibility.
  * openafs-modules-source: Generate /usr/src/openafs.tar.bz2
    reproducibly.

 -- Anders Kaseorg <andersk@mit.edu>  Sun, 04 Dec 2016 17:49:15 -0500

openafs (1.6.20-1) unstable; urgency=high

  * New upstream release (1.6.19):
    - Fix issue that could result in using out-of-date database versions
      in rare cases
    - Don't commit more data to a file than was actually copied during writes,
      which could happen on architectures with a page size greater than 4K
  * New upstream security release (1.6.20):
    - Fix information leakage (file/directory names) from reused directory
      buffers

 -- Benjamin Kaduk <kaduk@mit.edu>  Wed, 30 Nov 2016 16:52:29 -0500

openafs (1.6.18.3-3) unstable; urgency=medium

  * Drop openafs-dbg in favor of automatically generated dbgsym packages.
  * Mark openafs-doc Multi-Arch: foreign.
  * debian/patches/tests-util-ktime-t.c-Specify-EST-offset-in-TZ.patch:
    Fix FTBFS with tzdata uninstalled.  (Closes: #839481)
  * Depend lsb-base (>= 3.0-6) in openafs-client and openafs-fileserver
    for /lib/lsb/init-functions.

 -- Anders Kaseorg <andersk@mit.edu>  Wed, 12 Oct 2016 18:04:12 -0400
