=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: openafs
 Section: net
 Priority: optional
-Maintainer: Benjamin Kaduk <kaduk@mit.edu>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Benjamin Kaduk <kaduk@mit.edu>
 Uploaders: Russ Allbery <rra@debian.org>, Sam Hartman <hartmans@debian.org>,
  Anders Kaseorg <andersk@mit.edu>
-Build-Depends: debhelper (>= 9), autoconf, automake, bison, comerr-dev,
+Build-Depends: debhelper (>= 9.20160114~), autoconf, automake, bison, comerr-dev,
  cpio, flex, libfuse-dev, libkrb5-dev, libncurses5-dev,
  libpam0g-dev, libxml2-utils, perl, pkg-config, dh-systemd
 Build-Depends-Indep: dblatex, dkms (>= 2.1.1.1), docbook-xsl, doxygen (>= 1.8.4-1~),
@@ -16,7 +17,7 @@
 
 Package: openafs-client
 Architecture: alpha amd64 arm armel armhf i386 ia64 powerpc powerpcspe ppc64 s390 s390x sparc
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6)
 Recommends: lsof, openafs-modules-dkms (>= ${source:Version})
  | openafs-modules-source (>= ${source:Version})
  | openafs-modules3
@@ -66,7 +67,7 @@
 
 Package: openafs-fileserver
 Architecture: alpha amd64 arm armel armhf i386 ia64 powerpc powerpcspe ppc64 s390 s390x sparc
-Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base, openafs-client
+Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6), openafs-client
 Recommends: ntp | time-daemon
 Suggests: openafs-doc
 Description: AFS distributed filesystem file server
@@ -95,6 +96,7 @@
 Package: openafs-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: AFS distributed filesystem documentation
  AFS is a distributed filesystem allowing cross-platform sharing of files
@@ -216,17 +218,3 @@
  kaserver for authentication.  New sites should use a Kerberos v5
  implementation, a Kerberos v5 PAM module such as libpam-krb5, and
  libpam-afs-session.
-
-Package: openafs-dbg
-Section: debug
-Priority: extra
-Architecture: alpha amd64 arm armel armhf i386 ia64 powerpc powerpcspe ppc64 s390 s390x sparc
-Depends: ${misc:Depends}, openafs-fileserver (= ${binary:Version})
- | openafs-dbserver (= ${binary:Version})
-Description: AFS distributed filesystem debugging information
- AFS is a distributed filesystem allowing cross-platform sharing of
- files among multiple computers.  Facilities are provided for access
- control, authentication, backup and administrative management.
- .
- This package contains the debugging information for the OpenAFS
- server binaries (the openafs-fileserver and openafs-dbserver packages).
